#!/bin/sh
file=${1:-${TEVWH_PATH_SH}}

${TEVWH_TMP}/evil_magic/e_entry ${file} \
| while read entry_point offset
do
  ${TEVWH_PATH_ECHO} "[entry_point=${entry_point}]"
  ${TEVWH_PATH_GDB} ${file} -q <<EOT 2>&1
	break *0x${entry_point}
	run
	${TEVWH_ASM_FLAVOR}
	disassemble
EOT
done
